<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <style>
        @keyframes auto-fade {
            from {
                opacity: 1.0;
            }
            50% {
                opacity: 0.1;
            }
            to {
                opacity: 1.0;
            }
        }
        @-webkit-keyframes auto-fade {
            from {
                opacity: 1.0;
            }
            50% {
                opacity: 0.1;
            }
            to {
                opacity: 1.0;
            }
        }
        .breathing-lamp {
            animation: auto-fade 3s infinite;
            -webkit-animation: auto-fade 3s infinite;
        }
    </style>
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-row">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-body">
                    <div class="test-table-reload-btn" style="margin-bottom: 10px;">
                        <div class="layui-inline">
                            <input type="text" id="keywords" class="layui-input search-item" placeholder="输入关键字">
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="startTime" class="layui-input search-item" placeholder="开始时间" readonly>
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="endTime" class="layui-input search-item" placeholder="结束时间" readonly>
                        </div>
                        <button type="button" id="search" class="layui-btn layui-btn-sm">
                            <i class="fa fa-lg fa-search"></i> 搜索
                        </button>
                    </div>
                    <table class="layui-hide" id="dataTable" lay-filter="dataTable"></table>
                    <!-- 表头按钮组 -->
                    <script type="text/html" id="headerToolBar">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-sm" lay-event="saveEvent">
                                <i class="fa fa-lg fa-plus"></i> 新增
                            </button>
                            <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="updateEvent">
                                <i class="fa fa-lg fa-edit"></i> 编辑
                            </button>
                            <button type="button" class="layui-btn layui-btn-danger layui-btn-sm" lay-event="removeEvent">
                                <i class="fa fa-lg fa-trash"></i> 删除
                            </button>
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['index', 'table', 'laydate', 'common'], function() {
        var $ = layui.$;
        var $win = $(window);
        var table = layui.table;
        var admin = layui.admin;
        var layer = layui.layer;
        var laydate = layui.laydate;
        var common = layui.common;
        var resizeTimeout = null;
        var tableUrl = 'api/client/listpageclient';

        // 初始化表格
        function initTable() {
            table.render({
                elem: '#dataTable',
                id: 'dataTable',
                url: top.restAjax.path(tableUrl, []),
                width: admin.screen() > 1 ? '100%' : '',
                height: $win.height() - 90,
                limit: 20,
                limits: [20, 40, 60, 80, 100, 200],
                toolbar: '#headerToolBar',
                request: {
                    pageName: 'page',
                    limitName: 'rows'
                },
                cols: [
                    [
                        {type:'checkbox', fixed: 'left'},
                        {field:'rowNum', width:80, title: '序号', fixed: 'left', align:'center', templet: '<span>{{d.LAY_INDEX}}</span>'},
                        {field: 'clientId', width: 300, title: '用户名', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'clientName', width: 220, title: '名称', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                if(row.onlineStatus == '1') {
                                    return '<a href="javascript:void(0);" title="点击查看实时情况" lay-event="clientInfoEvent">'+ rowData +'</a>';
                                }
                                return rowData;
                            }
                        },
                        {field: 'onlineStatus', width: 80, title: '状态', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null) {
                                    return '-';
                                }
                                if(rowData == '0') {
                                    return '<span class="breathing-lamp layui-badge">离线</span>';
                                } else if(rowData == '1') {
                                    return '<span class="breathing-lamp layui-badge layui-bg-green">在线</span>'
                                } else if(rowData == '-1') {
                                    return '<span class="breathing-lamp layui-badge layui-bg-gray">未连接</span>';
                                }
                                return '错误';
                            }
                        },
                        {field: 'lastOnlineTime', width: 200, title: '最后在线时间', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'clientVersion', width: 150, title: '客户端版本', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'databaseTypeDictionaryName', width: 120, title: '数据库类型', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'databaseVersionDictionaryName', width: 120, title: '数据库版本', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'databaseName', width: 200, title: '数据库名称', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'customerCustomerName', width: 200, title: '客户名称', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'serverIp', width: 350, title: '访问地址', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                if(row.onlineStatus == '1') {
                                    return '<a href="'+ rowData +'" target="_blank" title="点击跳转">'+ rowData +'</a>';
                                }
                                return rowData;
                            }
                        },
                        {field: 'projectLeaderLeaderName', width: 120, title: '项目负责人', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'isUsercenter', width: 100, title: '统一用户', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null) {
                                    return '-';
                                }
                                if(rowData == '0') {
                                    return '<span class="layui-badge">否</span>';
                                } else if(rowData == '1') {
                                    return '<span class="layui-badge layui-bg-green">是</span>';
                                }
                                return '错误';
                            }
                        },
                        {field: 'isOnlyAuthorization', width: 100, title: '在线授权', align:'center',
                            templet: function(row) {
                                if(row.isUsercenter != '1') {
                                    return '-';
                                }
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null) {
                                    return '-';
                                }
                                if(rowData == '0') {
                                    return '<span class="layui-badge">否</span>';
                                } else if(rowData == '1') {
                                    return '<span class="layui-badge layui-bg-green">是</span>';
                                }
                                return '错误';
                            }
                        },
                        {field: 'licenseStartTime', width: 150, title: '授权开始', align:'center',
                            templet: function(row) {
                                if(row.isUsercenter != '1') {
                                    return '-';
                                }
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'licenseExpirationDate', width: 150, title: '授权到期', align:'center',
                            templet: function(row) {
                                if(row.isUsercenter != '1') {
                                    return '-';
                                }
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'authorizationCount', width: 100, title: '授权次数', align:'center',
                            templet: function(row) {
                                if(row.isUsercenter != '1') {
                                    return '-';
                                }
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null) {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'clientSecret', width: 80, title: '密码', fixed: 'right', align:'center',
                            templet: function(row) {
                                return '<button type="button" id="clientSecret" class="layui-btn layui-btn-xs layui-btn-normal" lay-event="clientSecretEvent">查看</button>';
                            }
                        },
                        {field: 'license', width: 120, title: '秘钥', fixed: 'right', align:'center',
                            templet: function(row) {
                                if(row.isUsercenter != '1') {
                                    return '-';
                                }
                                return '<div class="layui-btn-group">' +
                                    '<button type="button" class="layui-btn layui-btn-xs layui-btn-normal" lay-event="licenseEvent">查看</button>' +
                                    '<button type="button" class="layui-btn layui-btn-xs" lay-event="licenseAuthorizationEvent">授权</button>' +
                                    '</div>';
                            }
                        },
                    ]
                ],
                page: true,
                parseData: function(data) {
                    return {
                        'code': 0,
                        'msg': '',
                        'count': data.total,
                        'data': data.rows
                    };
                }
            });
        }
        // 重载表格
        function reloadTable(currentPage) {
            table.reload('dataTable', {
                url: top.restAjax.path(tableUrl, []),
                where: {
                    keywords: $('#keywords').val(),
                    startTime: $('#startTime').val(),
                    endTime: $('#endTime').val()
                },
                page: {
                    curr: currentPage
                },
                height: $win.height() - 90,
            });
        }
        // 初始化日期
        function initDate() {
            // 日期选择
            laydate.render({
                elem: '#startTime',
                format: 'yyyy-MM-dd'
            });
            laydate.render({
                elem: '#endTime',
                format: 'yyyy-MM-dd'
            });
        }
        // 删除
        function removeData(ids) {
            top.dialog.msg(top.dataMessage.delete, {
                time: 0,
                btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                shade: 0.3,
                yes: function (index) {
                    top.dialog.close(index);
                    var layIndex;
                    top.restAjax.delete(top.restAjax.path('api/client/removeclient/{ids}', [ids]), {}, null, function (code, data) {
                        top.dialog.msg(top.dataMessage.deleteSuccess, {time: 1000});
                        reloadTable();
                    }, function (code, data) {
                        top.dialog.msg(data.msg);
                    }, function () {
                        layIndex = top.dialog.msg(top.dataMessage.deleting, {icon: 16, time: 0, shade: 0.3});
                    }, function () {
                        top.dialog.close(layIndex);
                    });
                }
            });
        }
        initTable();
        initDate();
        // 事件 - 页面变化
        $win.on('resize', function() {
            clearTimeout(resizeTimeout);
            resizeTimeout = setTimeout(function() {
                reloadTable();
            }, 500);
        });
        // 事件 - 搜索
        $(document).on('click', '#search', function() {
            reloadTable(1);
        });
        // 事件 - 增删改
        table.on('toolbar(dataTable)', function(obj) {
            var layEvent = obj.event;
            var checkStatus = table.checkStatus('dataTable');
            var checkDatas = checkStatus.data;
            if(layEvent === 'saveEvent') {
                layer.open({
                    type: 2,
                    title: false,
                    closeBtn: 0,
                    area: ['100%', '100%'],
                    shadeClose: true,
                    anim: 2,
                    content: top.restAjax.path('route/client/saveclient', []),
                    end: function() {
                        reloadTable();
                    }
                });
            } else if(layEvent === 'updateEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectEdit);
                } else if(checkDatas.length > 1) {
                    top.dialog.msg(top.dataMessage.table.selectOneEdit);
                } else {
                    layer.open({
                        type: 2,
                        title: false,
                        closeBtn: 0,
                        area: ['100%', '100%'],
                        shadeClose: true,
                        anim: 2,
                        content: top.restAjax.path('route/client/updateclient?clientId={clientId}', [checkDatas[0].clientId]),
                        end: function() {
                            reloadTable();
                        }
                    });
                }
            } else if(layEvent === 'removeEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectDelete);
                } else {
                    var ids = '';
                    for(var i = 0, item; item = checkDatas[i++];) {
                        if(i > 1) {
                            ids += '_';
                        }
                        ids += item['clientId'];
                    }
                    removeData(ids);
                }
            }
        });

        table.on('tool(dataTable)', function(obj) {
            var data = obj.data;
            var layEvent = obj.event;
            if(layEvent === 'clientSecretEvent') {
                top.restAjax.get(top.restAjax.path('api/client/getclientsecretbyclientid/{clientId}', [data.clientId]), {}, null, function(code, data) {
                    layer.open({
                        type: 1,
                        shade: 0.3,
                        title: false,
                        content: '<div style="width: 300px; height: 50px; padding: 15px; overflow: auto; word-wrap: break-word; word-break: normal;">'+ data.data +'</div>',
                        cancel: function(){}
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                });
            } else if(layEvent === 'licenseEvent') {
                top.restAjax.get(top.restAjax.path('api/client/getclientlicensebyclientid/{clientId}', [data.clientId]), {}, null, function(code, data) {
                    layer.open({
                        type: 1,
                        shade: 0.3,
                        title: false,
                        content: '<div style="width: 300px; height: 100px; padding: 15px; overflow: auto; word-wrap: break-word; word-break: normal;">'+ data.data +'</div>',
                        cancel: function(){}
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                });
            } else if(layEvent === 'licenseAuthorizationEvent') {
                top.dialog.open({
                    url: top.restAjax.path('route/client/updateclientlicense?clientId={clientId}', [data.clientId]),
                    title: 'license授权',
                    width: '400px',
                    height: '340px',
                    onClose: function() {
                        reloadTable();
                    }
                });
            } else if(layEvent === 'clientInfoEvent') {
                top.dialog.open({
                    url: top.restAjax.path('route/client/getclientinfo?clientId={clientId}', [data.clientId]),
                    title: '【'+ data.clientName +'】服务器实时情况',
                    width: '90%',
                    height: '90%',
                    onClose: function() {}
                });
            }
        })
    });
</script>
</body>
</html>